Skip to main content
`Ctrl`+`K`

# KSPLSQRGetStandardErrorVec

Get vector of standard error estimates. Only available if -ksp_lsqr_set_standard_error was set to true or `KSPLSQRSetComputeStandardErrorVec`(ksp, `PETSC_TRUE`) was called. Otherwise returns `NULL`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPLSQRGetStandardErrorVec(KSP ksp, Vec *se)

Not Collective

## Input Parameter

- ksp - iterative context

## Output Parameter

- se - vector of standard estimates

## Developer Notes

Vaclav: I’m not sure whether this vector is useful for anything.

## See Also

KSP: Linear System Solvers, `KSPSolve()`, `KSPLSQR`, `KSPLSQRSetComputeStandardErrorVec()`

## Level

intermediate

## Location

src/ksp/ksp/impls/lsqr/lsqr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages